// ////////////////////////////////////////////////////////
//
//  Background Build File for Background Textures
//  This is a plug -in template for the osxBackground Changer
//  If you have named your images correctly, then all you need
//  to change is the NAME variables.  Then make sure that
//  the names match up with the default properties.
//  The name given when importing and the name in
//  the default properties must match up.
//  This material was originally written by usaar.
//  The osxChanger class is in the MOD.
//
// ////////////////////////////////////////////////////////

class MyBackground expands osxChanger;

/* 
This imports your sliced textures into the .u file.
Which you can later access in the MOD.
*/

#exec TEXTURE IMPORT NAME=myBG-11 FILE=Textures\11.pcx GROUP="Menu" MIPS=OFF
#exec TEXTURE IMPORT NAME=myBG-21 FILE=Textures\21.pcx GROUP="Menu" MIPS=OFF
#exec TEXTURE IMPORT NAME=myBG-31 FILE=Textures\31.pcx GROUP="Menu" MIPS=OFF
#exec TEXTURE IMPORT NAME=myBG-41 FILE=Textures\41.pcx GROUP="Menu" MIPS=OFF
#exec TEXTURE IMPORT NAME=myBG-12 FILE=Textures\12.pcx GROUP="Menu" MIPS=OFF
#exec TEXTURE IMPORT NAME=myBG-22 FILE=Textures\22.pcx GROUP="Menu" MIPS=OFF
#exec TEXTURE IMPORT NAME=myBG-32 FILE=Textures\32.pcx GROUP="Menu" MIPS=OFF
#exec TEXTURE IMPORT NAME=myBG-42 FILE=Textures\42.pcx GROUP="Menu" MIPS=OFF
#exec TEXTURE IMPORT NAME=myBG-13 FILE=Textures\13.pcx GROUP="Menu" MIPS=OFF
#exec TEXTURE IMPORT NAME=myBG-23 FILE=Textures\23.pcx GROUP="Menu" MIPS=OFF
#exec TEXTURE IMPORT NAME=myBG-33 FILE=Textures\33.pcx GROUP="Menu" MIPS=OFF
#exec TEXTURE IMPORT NAME=myBG-43 FILE=Textures\43.pcx GROUP="Menu" MIPS=OFF


defaultproperties 
{
	x43=texture'myBG-43'
	x33=texture'myBG-33'
	x23=texture'myBG-23'
	x13=texture'myBG-13'
	x42=texture'myBG-42'
	x32=texture'myBG-32'
	x22=texture'myBG-22'
	x12=texture'myBG-12'
	x41=texture'myBG-41'
	x31=texture'myBG-31'
	x21=texture'myBG-21'
	x11=texture'myBG-11'
}
